Subject: RE: linux-next: manual merge of the sound tree with the s5p tree

From: Kukjin Kim <[email-masked]>
Date: Thu, 23 Dec 2010 20:28:27 +0900

Takashi Iwai wrote:

(snip)

> > > > Anyway I need above commits from sound-2.6.git in my tree...
> > > > so how method is better to me instead of cherry-pick it?
> > >
> > > You can merge topic/asoc branch of sound git tree.
> > > This brach contains the all necessary commits for ASoC and is almost
> > > never rebased.
> >
> > Hi,
> >
> > But I can't merge it because there is no 'topic/asoc' branch in
> > sound-2.6.git.
> > (git://git.kernel.org/pub/scm/linux/kernel/git/broonie/sound-2.6.git)
> >
> > Is there another repository?
> 
> OK, Mark's tree doesn't contain.  But you can merge for-2.6.38 tree there.
> 
> The main sound git tree is found in
>     git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound-2.6.git
> 
Aha~ :-)

> > And should I merge it in my tree even though don't need all of ASoC
commits
> > :-( ?
> 
> In general yes because this is the tree to be merged to 2.6.38.
> 
Yeah, I know it.

> > I'm not sure how many commits are in there...
> 
> You can keep two branches.  One contains only your fixes, and another
> is the merged branch from yours and from sound git tree.  Expose the
> latter merged tree for linux-next.
> 
Yeah...however, firstly, my tree will be sent to rmk during 38 merge window,
if I merge from sound git, for avoiding build error I should send all
including them not only my patches. I think there is no need to rmk...hmm

So I did 'cherry-pick' only needed 2 commits in my tree.

> There are many other ways to manage such things, but the above has
> worked for me well, at least.

Yeah I think so...but is there another better way in this case? Hehehe...

Anyway Merry Xmas ;-)
Thanks.

Best regards,
Kgene.
--
Kukjin Kim <[email-masked]>, Senior Engineer,
SW Solution Development Team, Samsung Electronics Co., Ltd.